Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:31 2009

## Asterisk developer's documentation

# ast_modem_driver Struct Reference

`#include <vmodem.h>`

Collaboration diagram for ast_modem_driver:

[legend]

## Data Fields

int(* | answer )(struct ast_modem_pvt *)
void(* | decusecnt )(void)
int(* | dial )(struct ast_modem_pvt *, char *)
int(* | dialdigit )(struct ast_modem_pvt *, char digit)
int | formats
int | fullduplex
int(* | hangup )(struct ast_modem_pvt *)
char *(* | identify )(struct ast_modem_pvt *)
char ** | idents
void(* | incusecnt )(void)
int(* | init )(struct ast_modem_pvt *)
char * | name
struct ast_modem_driver * | next
struct ast_frame *(* | read )(struct ast_modem_pvt *)
int(* | setdev )(struct ast_modem_pvt *, int dev)
int(* | setsilence )(struct ast_modem_pvt *, int onoff)
int(* | startpb )(struct ast_modem_pvt *)
int(* | startrec )(struct ast_modem_pvt *)
int(* | stoppb )(struct ast_modem_pvt *)
int(* | stoprec )(struct ast_modem_pvt *)
int(* | write )(struct ast_modem_pvt *, struct ast_frame *fr)

## Detailed Description

Definition at line 50 of file vmodem.h.

## Field Documentation

int(* answer)(struct ast_modem_pvt *)

Referenced by modem_answer().

void(* decusecnt)(void)

Referenced by modem_setup().

int(* dial)(struct ast_modem_pvt *, char *)

Referenced by modem_call().

int(* dialdigit)(struct ast_modem_pvt *, char digit)

Referenced by modem_digit().

int formats

Definition at line 53 of file vmodem.h.

Referenced by ast_modem_new(), and modem_request().

int fullduplex

Definition at line 54 of file vmodem.h.

int(* hangup)(struct ast_modem_pvt *)

Referenced by modem_hangup().

char*(* identify)(struct ast_modem_pvt *)

Referenced by modem_setup().

char** idents

Definition at line 52 of file vmodem.h.

Referenced by find_capability().

void(* incusecnt)(void)

Referenced by find_capability(), and find_driver().

int(* init)(struct ast_modem_pvt *)

Referenced by modem_hangup(), and modem_setup().

char* name

Definition at line 51 of file vmodem.h.

Referenced by ast_modem_new(), find_driver(), and modem_setup().

struct ast_modem_driver* next`[read]`

Definition at line 71 of file vmodem.h.

Referenced by ast_register_modem_driver(), ast_unregister_modem_driver(), find_capability(), and find_driver().

struct ast_frame*(* read)(struct ast_modem_pvt *)`[read]`

Referenced by modem_mini_packet(), and modem_read().

int(* setdev)(struct ast_modem_pvt *, int dev)

Referenced by modem_call().

int(* setsilence)(struct ast_modem_pvt *, int onoff)

int(* startpb)(struct ast_modem_pvt *)

int(* startrec)(struct ast_modem_pvt *)

int(* stoppb)(struct ast_modem_pvt *)

int(* stoprec)(struct ast_modem_pvt *)

int(* write)(struct ast_modem_pvt *, struct ast_frame *fr)

Referenced by modem_write().

The documentation for this struct was generated from the following file:

- vmodem.h